Commit 5f0211e9 authored by Jochen Sprickerhof's avatar Jochen Sprickerhof

Update upstream source from tag 'upstream/0.7.2'

Update to upstream version '0.7.2'
with Debian dir 926aa9a0332bebf87927b080265f15aa74196f3c
parents 7c5995ac 6c18b657
0.7.2 (2019-01-26 07:45:00 -0800)
---------------------------------
- Updated a test to support mixed rosdistro index. `#510 <https://github.com/ros-infrastructure/bloom/pull/510>`_
- Updated to use yaml.safe_load for untrusted yaml input. `#508 <https://github.com/ros-infrastructure/bloom/pull/508>`_
- Required rosdistro 0.15.0 for package format 3 conditional dependency support. `#511 <https://github.com/ros-infrastructure/bloom/pull/511>`_
0.7.1 (2019-01-11 16:05:00 -0800)
---------------------------------
- Fix some bugs from python3 compatibility. `#505 <https://github.com/ros-infrastructure/bloom/pull/505>`_
......
......@@ -657,7 +657,7 @@ def generate_ros_distro_diff(track, repository, distro, override_release_reposit
udiff_raw += line
info(line, use_prefix=False, end='')
# Assert that only this repository is being changed
distro_file_yaml = yaml.load(distro_file_raw)
distro_file_yaml = yaml.safe_load(distro_file_raw)
distro_yaml = yaml.load(distro_dump)
if 'repositories' in distro_file_yaml:
distro_file_repos = distro_file_yaml['repositories']
......
......@@ -273,7 +273,7 @@ def get_tracks_dict_raw(directory=None):
)
tracks_yaml = show(BLOOM_CONFIG_BRANCH, 'tracks.yaml',
directory=directory)
tracks_dict = yaml.load(tracks_yaml)
tracks_dict = yaml.safe_load(tracks_yaml)
validate_track_versions(tracks_dict)
return tracks_dict
......
......@@ -9,7 +9,7 @@ install_requires = [
'empy',
'python-dateutil',
'PyYAML',
'rosdep >= 0.10.25',
'rosdep >= 0.15.0',
'rosdistro >= 0.7.0',
'vcstools >= 0.1.22',
]
......@@ -22,7 +22,7 @@ if sys.version_info[0] == 2 and sys.version_info[1] <= 6:
setup(
name='bloom',
version='0.7.1',
version='0.7.2',
packages=find_packages(exclude=['test', 'test.*']),
package_data={
'bloom.generators.debian': [
......
[DEFAULT]
Depends: python-yaml, python-empy, python-argparse, python-rosdep (>= 0.10.25), python-rosdistro (>= 0.7.0), python-vcstools (>= 0.1.22), python-setuptools, python-catkin-pkg (>= 0.4.3)
Depends3: python3-yaml, python3-empy, python3-rosdep (>= 0.10.25), python3-rosdistro (>= 0.7.0), python3-vcstools (>= 0.1.22), python3-setuptools, python3-catkin-pkg (>= 0.4.3)
Depends: python-yaml, python-empy, python-argparse, python-rosdep (>= 0.15.0), python-rosdistro (>= 0.7.0), python-vcstools (>= 0.1.22), python-setuptools, python-catkin-pkg (>= 0.4.3)
Depends3: python3-yaml, python3-empy, python3-rosdep (>= 0.15.0), python3-rosdistro (>= 0.7.0), python3-vcstools (>= 0.1.22), python3-setuptools, python3-catkin-pkg (>= 0.4.3)
Conflicts: python3-bloom
Conflicts3: python-bloom
Copyright-File: LICENSE.txt
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment